Ryzehosting
  1. webspace
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
    • password
    • hardware
    • reinstall
    • rrddata
    • cancel
    • status
    • prices
    • config
    • renew
    • power
    • hosts
    • order
    • vnc
    • list
    • ptr
    • os
  • webspace
    • packages
      GET
    • details
      GET
    • renew
      POST
    • status
      GET
    • order
      POST
    • list
      GET
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. webspace

list

GET
webspace/list

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/webspace/list' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched webspace list",
    "state": "success",
    "code": 200,
    "data": {
        "webspaces": [
            {
                "uuid": "019b1ffc-696b-8fae-9834-bc39571c35d7",
                "id": 2,
                "state": "active",
                "state_text": "Active",
                "expire_at": "2026-02-13 04:12:58",
                "created_at": "2025-12-15 03:13:05",
                "package": {
                    "name": "PLESK03",
                    "type": "Plesk",
                    "plan_id": 3
                },
                "domain": "last-try.bond",
                "price": {
                    "year": 60,
                    "month": 5,
                    "hour": 0.006944444444444444
                }
            }
        ],
        "total": 1
    }
}
Modified at 2025-12-30 03:58:20
Previous
order
Next
packages
Built with